Salome HOME
fix SALOME 9.4, 9.5, 9.6 compilation issues
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Thu, 31 Mar 2022 14:45:21 +0000 (16:45 +0200)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Thu, 31 Mar 2022 14:45:21 +0000 (16:45 +0200)
12 files changed:
applications/SALOME-9.3.0.pyconf
applications/SALOME-9.4.0.pyconf
applications/SALOME-9.5.0.pyconf
applications/SALOME-9.6.0-MPI.pyconf
applications/SALOME-9.6.0.pyconf
products/ParaView.pyconf
products/compil_scripts/qt-5.9.1.sh [new file with mode: 0755]
products/embree.pyconf
products/gl2ps.pyconf
products/ispc.pyconf
products/patches/qt_mysql_UB20.patch [new file with mode: 0644]
products/qt.pyconf

index e3f18202558b05832808d4384a692b9f275d7c58..8c1cfc79918b8a6ff4cb301546ff224eb28e32ce 100644 (file)
@@ -148,5 +148,3 @@ __overwrite__ :
   {
   }
 ]
-
-
index 617559a4e084918166e08c67a675a63a1d752eb3..27122cdc49b82c87207a9a8dfdfcd3759032a8ba 100644 (file)
@@ -159,24 +159,30 @@ __overwrite__ :
    # GTK  compilation issue
     __condition__ : "VARS.dist in ['CO6']"
     'APPLICATION.products.opencv' : '2.4.13.5'
-    'PRODUCTS.embree.default.patches' : ['embree-3.5.2-centos6.patch']
-    'PRODUCTS.ispc.version_1_9_2_src.patches' : ['ispc-1.9.2-centos6.patch']
+    'APPLICATION.products.embree' : {tag:'3.5.2',   base: 'no', section: 'version_3_5_2_CO6'}
+    'APPLICATION.products.ispc'   : {tag:'1.9.2',   base: 'no', section: 'version_1_9_2_CO6'}
    }
 
    {
       #
-      __condition__ : "VARS.dist in ['UB16.04', 'UB18.04']"
-      'APPLICATION.products.tbb' : 'native'
-      'PRODUCTS.embree.default.depend' : ['ispc']
+      __condition__ : "VARS.dist in ['UB18.04']"
+      'APPLICATION.products.tbb'    : 'native'
+      'APPLICATION.products.embree' : {tag:'3.3.0',   base: 'no', section: 'version_3_3_0_UB18_0_4'}
+   }
+
+   {
+      #
+      __condition__ : "VARS.dist in ['UB16.04']"
+      'APPLICATION.products.tbb'    : 'native'
+      'APPLICATION.products.embree' : {tag:'3.3.0',   base: 'no', section: 'version_3_3_0_UB16_0_4'}
    }
 
    {
       #
       __condition__ : "VARS.dist in ['DB10']"
-      'APPLICATION.products.tbb' : 'native'
-      'PRODUCTS.embree.default.depend' : ['ispc']
-      'PRODUCTS.gl2ps.version_1_4_0_4037312.build_source' : 'script'
-      'PRODUCTS.gl2ps.version_1_4_0_4037312.compil_script' : 'gl2ps-1.4.0.sh'
+      'APPLICATION.products.tbb'    : 'native'
+      'APPLICATION.products.embree' : {tag:'3.3.0',         base: 'no', section: 'version_3_3_0_DB10'        }
+      'APPLICATION.products.gl2ps'  : {tag:'1.4.0_4037312', base: 'no', section: 'version_1_4_0_4037312_DB10'}
    }
 
    {
index f0bd3fc5e5decbd8cd0fab4ba53592cc57338ef8..3c7aec93fe1ef20a21621473e799395f920ae743 100644 (file)
@@ -171,10 +171,10 @@ __overwrite__ :
    # GTK  compilation issue
     __condition__ : "VARS.dist in ['CO6']"
     'APPLICATION.products.opencv' : '2.4.13.5'
-    'APPLICATION.products.tbb' : '4.4'
-    'APPLICATION.products.llvm' : '3.9.1-clang'
-    'APPLICATION.products.mesa' : '13.0.6'
-    'PRODUCTS.embree.default.patches' : ['embree-3.5.2-centos6.patch']
+    'APPLICATION.products.tbb'    : '4.4'
+    'APPLICATION.products.llvm'   : '3.9.1-clang'
+    'APPLICATION.products.mesa'   : '13.0.6'
+    'APPLICATION.products.embree' : {tag:'3.3.0',   base: 'no', section: 'version_3_3_0_CO6'}
    }
 
   {
index 661af5f09ff851d31aff62eb084bcea69631db40..9262173b9092979e4dd6074c11c5d37173359031 100644 (file)
@@ -177,6 +177,6 @@ __overwrite__ :
   {
     #
     __condition__ : "VARS.dist in ['UB20.04']"
-    'PRODUCTS.qt.version_5_9_1.patches' : ['qt-5.9.1-UB20-FD32-socketcanbackend.patch']
+      'APPLICATION.products.qt'    : {tag: '5.9.1', base: 'no', section: 'version_5_9_1_UB20_0_4'}
   }
 ]
index 189e64c2c3af0e3ad6de0181e9de9db442c96bb9..7164315760f3b96e12ac7969f88bcad25aec0e3b 100644 (file)
@@ -176,10 +176,10 @@ __overwrite__ :
    # GTK  compilation issue
     __condition__ : "VARS.dist in ['CO6']"
     'APPLICATION.products.opencv' : '2.4.13.5'
-    'APPLICATION.products.tbb' : '4.4'
-    'APPLICATION.products.llvm' : '3.9.1-clang'
-    'APPLICATION.products.mesa' : '13.0.6'
-    'PRODUCTS.embree.default.patches' : ['embree-3.5.2-centos6.patch']
+    'APPLICATION.products.tbb'    : '4.4'
+    'APPLICATION.products.llvm'   : '3.9.1-clang'
+    'APPLICATION.products.mesa'   : '13.0.6'
+    'APPLICATION.products.embree' : {tag:'3.3.0',   base: 'no', section: 'version_3_3_0_CO6'}
   }
 
   {
@@ -195,55 +195,22 @@ __overwrite__ :
     'APPLICATION.products.embree' : '3.5.2'
   }
 
-  {
-    #
-    __condition__ : "VARS.dist in ['UB20.04']"
-    'PRODUCTS.qt.version_5_9_1.patches' : ['qt-5.9.1-UB20-FD32-socketcanbackend.patch']
-  }
-
   {
     __condition__ : "VARS.dist in ['FD30']"
-    'PRODUCTS.ParaView.version_5_8_0.patches' : ['paraview.0010-ParaViewClient.patch', # xmlpatterns-qt5
-                                                 'paraview.0004-ParaView_hdf5.patch',
-                                                 'paraview.0005-ParaView_find_cgns.patch',
-                                                 'paraview.0006-ParaView_find_libxml2.patch',
-                                                 'paraview.0007-ParaView_find_freetype.patch',
-                                                 'paraview.0009-ParaView_volume_mapper.patch',
-                                                 'pv_coincident.patch',
-                                                 'paraview-0012-LATA_64BITS_IDS.patch'
-                                                ]
+      'APPLICATION.products.ParaView'    : {tag: '5.8.0', base: 'no', section: 'version_5_8_0_FD30' }
   }
 
   {
     __condition__ : "VARS.dist in ['FD32']"
     'APPLICATION.products.scipy' : '1.5.2' # gcc https://github.com/scipy/scipy/issues/11611 - either patch numpy to include -fallow-argument-mismatch or move to that version
     # see https://bugs.gentoo.org/708730
-    'PRODUCTS.llvm.version_8_0_1_clang.patches' : ['llvm-8.0.1-clang-FD32.patch']
-    'PRODUCTS.qt.version_5_9_1.patches' : ['qt-5.9.1-UB20-FD32-socketcanbackend.patch', 'qt-5.9.1-mapbox-FD32.patch']
-    'PRODUCTS.mesa.version_19_0_8.patches' : ['mesa-19.0.8-debug_symbol.patch']
-    'PRODUCTS.ParaView.version_5_8_0.patches' : ['paraview.0010-ParaViewClient.patch',
-                                                 'paraview.0004-ParaView_hdf5.patch',
-                                                 'paraview.0005-ParaView_find_cgns.patch',
-                                                 'paraview.0006-ParaView_find_libxml2.patch',
-                                                 'paraview.0007-ParaView_find_freetype.patch',
-                                                 'paraview.0009-ParaView_volume_mapper.patch',
-                                                 'pv_coincident.patch',
-                                                 'paraview-0012-LATA_64BITS_IDS.patch'
-                                                ]
+    'APPLICATION.products.qt'       : {tag: '5.9.1', base: 'no', section: 'version_5_9_1_FD32' }
+    'APPLICATION.products.ParaView' : {tag: '5.8.0', base: 'no', section: 'version_5_8_0_FD32' }
   }
 
   {
     __condition__ : "VARS.dist in ['CO7'] and APPLICATION.environ.build.VTK_SMP_IMPLEMENTATION_TYPE == 'OpenMP'"
-    'PRODUCTS.ParaView.version_5_8_0.patches' : ['paraview.0003-ParaViewClient.patch',
-                                                 'paraview.0004-ParaView_hdf5.patch',
-                                                 'paraview.0005-ParaView_find_cgns.patch',
-                                                 'paraview.0006-ParaView_find_libxml2.patch',
-                                                 'paraview.0007-ParaView_find_freetype.patch',
-                                                 'paraview.0009-ParaView_volume_mapper.patch',
-                                                 'paraview.0011-vtkSMPSelection.patch',
-                                                 'pv_coincident.patch',
-                                                 'paraview-0012-LATA_64BITS_IDS.patch'
-                                                ]
+    'APPLICATION.products.ParaView' : {tag: '5.8.0', base: 'no', section: 'version_5_8_0_CO7_OpenMP' }
   }
 
   {
@@ -253,14 +220,12 @@ __overwrite__ :
 
   {
     __condition__ : "VARS.dist in ['CO8']"
-    'PRODUCTS.ParaView.version_5_8_0.patches' : ['paraview.0010-ParaViewClient.patch',
-                                                 'paraview.0004-ParaView_hdf5.patch',
-                                                 'paraview.0005-ParaView_find_cgns.patch',
-                                                 'paraview.0006-ParaView_find_libxml2.patch',
-                                                 'paraview.0007-ParaView_find_freetype.patch',
-                                                 'paraview.0009-ParaView_volume_mapper.patch',
-                                                 'pv_coincident.patch',
-                                                 'paraview-0012-LATA_64BITS_IDS.patch'
-                                                ]
+    'APPLICATION.products.ParaView' : {tag: '5.8.0', base: 'no', section: 'version_5_8_0_CO8' }
   }
+
+  {
+    __condition__ : "VARS.dist in ['UB20.04']"
+    'APPLICATION.products.qt'       : {tag: '5.9.1', base: 'no', section: 'version_5_9_1_UB20_0_4' }
+  }
+
 ]
index 03a98619ea4cb360bdbd3c337bb36036ace1235a..c696870dd85842e42190bd058364cba1f8de11b5 100755 (executable)
@@ -470,6 +470,72 @@ version_5_8_0_MPI_int32 :
               ]
 }
 
+version_5_8_0_FD30 :
+{
+    compil_script :  'ParaView-5.8.0.sh'
+    archive_info : {archive_name : "ParaView-5.8.0-lata.tar.gz"}
+    # two other LATA patches already included in archive
+    patches : ['paraview.0010-ParaViewClient.patch', # xmlpatterns-qt5
+               'paraview.0004-ParaView_hdf5.patch',
+               'paraview.0005-ParaView_find_cgns.patch',
+               'paraview.0006-ParaView_find_libxml2.patch',
+               'paraview.0007-ParaView_find_freetype.patch',
+               'paraview.0009-ParaView_volume_mapper.patch',
+               'pv_coincident.patch',
+               'paraview-0012-LATA_64BITS_IDS.patch'
+              ]
+}
+
+version_5_8_0_FD32 :
+{
+    compil_script :  'ParaView-5.8.0.sh'
+    archive_info : {archive_name : "ParaView-5.8.0-lata.tar.gz"}
+    # two other LATA patches already included in archive
+    patches : ['paraview.0010-ParaViewClient.patch',
+                'paraview.0004-ParaView_hdf5.patch',
+                'paraview.0005-ParaView_find_cgns.patch',
+                'paraview.0006-ParaView_find_libxml2.patch',
+                'paraview.0007-ParaView_find_freetype.patch',
+                'paraview.0009-ParaView_volume_mapper.patch',
+                'pv_coincident.patch',
+                'paraview-0012-LATA_64BITS_IDS.patch'
+              ]
+}
+
+version_5_8_0_CO7_OpenMP :
+{
+    compil_script :  'ParaView-5.8.0.sh'
+    archive_info : {archive_name : "ParaView-5.8.0-lata.tar.gz"}
+    # two other LATA patches already included in archive
+    patches : ['paraview.0003-ParaViewClient.patch',
+                'paraview.0004-ParaView_hdf5.patch',
+                'paraview.0005-ParaView_find_cgns.patch',
+                'paraview.0006-ParaView_find_libxml2.patch',
+                'paraview.0007-ParaView_find_freetype.patch',
+                'paraview.0009-ParaView_volume_mapper.patch',
+                'paraview.0011-vtkSMPSelection.patch',
+                'pv_coincident.patch',
+                'paraview-0012-LATA_64BITS_IDS.patch'
+              ]
+}
+
+version_5_8_0_CO8 :
+{
+    compil_script :  'ParaView-5.8.0.sh'
+    archive_info : {archive_name : "ParaView-5.8.0-lata.tar.gz"}
+    # two other LATA patches already included in archive
+    patches : ['paraview.0010-ParaViewClient.patch',
+               'paraview.0004-ParaView_hdf5.patch',
+               'paraview.0005-ParaView_find_cgns.patch',
+               'paraview.0006-ParaView_find_libxml2.patch',
+               'paraview.0007-ParaView_find_freetype.patch',
+               'paraview.0009-ParaView_volume_mapper.patch',
+               'pv_coincident.patch',
+               'paraview-0012-LATA_64BITS_IDS.patch'
+              ]
+}
+
+
 version_5_6_0_bfaf7b8 :
 {
     compil_script : "ParaView-5.6.0_bfaf7b8.sh"
diff --git a/products/compil_scripts/qt-5.9.1.sh b/products/compil_scripts/qt-5.9.1.sh
new file mode 100755 (executable)
index 0000000..d537229
--- /dev/null
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "Qt" $VERSION
+echo "##########################################################################"
+
+cd $SOURCE_DIR
+if [ $? -ne 0 ]
+then
+    echo "ERROR on $SOURCE_DIR access"
+    exit 1
+fi
+QT_CONFIGURE_OPTIONS=
+QT_CONFIGURE_OPTIONS+=" -opensource -nomake tests -nomake examples -no-rpath"
+QT_CONFIGURE_OPTIONS+=" -verbose -no-separate-debug-info -confirm-license -qt-libpng -qt-xcb -no-eglfs -dbus-runtime -skip qtwebengine"
+QT_CONFIGURE_OPTIONS+=" -skip wayland -skip qtgamepad -system-freetype -qt-harfbuzz"
+QT_CONFIGURE_OPTIONS+=" -no-openssl -no-glib"
+
+if [[ $DIST_NAME == "FD" && $DIST_VERSION == "32" ]]; then
+    export  QMAKE_CXXFLAGS="-std=c++11"
+fi
+
+if [ -n "$SAT_DEBUG" ]
+then
+    BUILD_TYPE="-debug"
+else
+    BUILD_TYPE="-release"
+fi
+
+# For -qt-harfbuzz option, see spns #9694
+echo
+echo "*** ./configure -prefix $PRODUCT_INSTALL $BUILD_TYPE ${QT_CONFIGURE_OPTIONS}"
+
+./configure -prefix $PRODUCT_INSTALL $BUILD_TYPE  ${QT_CONFIGURE_OPTIONS}
+if [ $? -ne 0 ]
+then
+    echo "ERROR on configure"
+    exit 2
+fi
+
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+    exit 3
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+    exit 4
+fi
+
+# make clean pour nettoyer les sources
+echo
+echo "*** make clean"
+make clean
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make clean"
+    exit 5
+fi
+
+echo
+echo "########## END"
+
index 6b8510f95571b8f29a4e97c722f83e9ee41a460c..f5838886d5d1de36aab701eae42102ca4990c723 100644 (file)
@@ -28,3 +28,28 @@ default_win :
       single_install_dir: "yes"
    }
 }
+
+version_3_3_0_CO6 :
+{
+  patches : ['embree-3.5.2-centos6.patch']
+}
+
+version_3_5_2_CO6 :
+{
+  patches : ['embree-3.5.2-centos6.patch']
+}
+
+version_3_3_0_DB10 :
+{
+  depend: ['ispc']
+}
+
+version_3_3_0_UB18_0_4 :
+{
+  depend: ['ispc']
+}
+
+version_3_3_0_UB16_0_4 :
+{
+  depend: ['ispc']
+}
index 85754ed875414bd472e9a0b60df7c0db62027543..6d1c0b196e8b46691f541f9dd422cc98fe17f7c3 100755 (executable)
@@ -80,6 +80,17 @@ version_1_4_0_4037312 :
     patches : ["gl2ps-1.4.0-GLUT.patch"]
 }
 
+version_1_4_0_4037312_DB10 :
+{
+    build_source : "script"
+    compil_script: "gl2ps-1.4.0.sh"
+    archive_info:
+    {
+       archive_name : "gl2ps-1.4.0_4037312.tar.gz"
+    }
+    patches : ["gl2ps-1.4.0-GLUT.patch"]
+}
+
 version_1_4_0_4037312_win :
 {
    build_source : "script"
index 6a9498a7a93fbd1ad9b93ddf317485871952b87f..6fdbbb187a60ac006b5637db8c2f092808591d71 100644 (file)
@@ -65,3 +65,12 @@ version_1_9_2_src :
     patches : ['ispc-makefile_WERROR.patch']
     depend : ['llvm']
 }
+
+version_1_9_2_CO6 :
+{
+  build_source : "script"
+  compil_script :  "ispc-1.9.2.sh"
+  archive_info : {archive_name : "ispc-1.9.2.tar.gz"}
+  patches : ['ispc-1.9.2-centos6.patch']
+  depend : ['llvm']
+}
diff --git a/products/patches/qt_mysql_UB20.patch b/products/patches/qt_mysql_UB20.patch
new file mode 100644 (file)
index 0000000..3ead767
--- /dev/null
@@ -0,0 +1,47 @@
+--- qt/qtbase/src/plugins/sqldrivers/mysql/qsql_mysql.cpp      2017-06-28 11:54:29.000000000 +0200
++++ qt_new/qtbase/src/plugins/sqldrivers/mysql/qsql_mysql.cpp  2022-03-31 16:11:26.861381738 +0200
+@@ -232,7 +232,7 @@
+               myField(0), type(QVariant::Invalid)
+         {}
+         char *outField;
+-        my_bool nullIndicator;
++        bool nullIndicator;
+         ulong bufLength;
+         MYSQL_FIELD *myField;
+         QVariant::Type type;
+@@ -983,7 +983,7 @@
+     MYSQL_BIND* currBind;
+     QVector<MYSQL_TIME *> timeVector;
+     QVector<QByteArray> stringVector;
+-    QVector<my_bool> nullVector;
++    QVector<bool> nullVector;
+     const QVector<QVariant> values = boundValues();
+@@ -1004,7 +1004,7 @@
+             currBind = &d->outBinds[i];
+-            nullVector[i] = static_cast<my_bool>(val.isNull());
++            nullVector[i] = static_cast<bool>(val.isNull());
+             currBind->is_null = &nullVector[i];
+             currBind->length = 0;
+             currBind->is_unsigned = 0;
+@@ -1101,7 +1101,7 @@
+     d->rowsAffected = mysql_stmt_affected_rows(d->stmt);
+     if (isSelect()) {
+-        my_bool update_max_length = true;
++        bool update_max_length = true;
+         r = mysql_stmt_bind_result(d->stmt, d->inBinds);
+         if (r != 0) {
+@@ -1306,7 +1306,7 @@
+     QString sslCAPath;
+     QString sslCipher;
+ #if MYSQL_VERSION_ID >= 50000
+-    my_bool reconnect=false;
++    bool reconnect=false;
+     uint connectTimeout = 0;
+     uint readTimeout = 0;
+     uint writeTimeout = 0;
index f472e68dff303dfda30202c334e7fdab0e02478e..7b44107d0df45d5d01790127910f647ca6ceafd2 100644 (file)
@@ -53,9 +53,26 @@ version_5_12_10_win :
 
 version_5_9_1 :
 {
+  compil_script :  "qt-5.9.1.sh"
   patches : []
 }
 
+version_5_9_1_FD32 :
+{
+  compil_script :  "qt-5.9.1.sh"
+  patches : ['qt-5.9.1-UB20-FD32-socketcanbackend.patch',
+             'qt-5.9.1-mapbox-FD32.patch'
+           ]
+}
+
+version_5_9_1_UB20_0_4 :
+{
+  compil_script :  "qt-5.9.1.sh"
+  patches : ['qt-5.9.1-UB20-FD32-socketcanbackend.patch',
+            'qt_mysql_UB20.patch'
+            ]
+}
+
 version_5_6_1_1:
 {
     compil_script : "qt-5.6.1" + $VARS.scriptExtension
@@ -66,7 +83,7 @@ version_5_5_1:
 {
     compil_script :  "qt-5.5.1.sh"
     patches : [
-                  "qt-5.5.1-qlockfile.patch"
+                  "qt-5.5.1-qlockfile.patch",
                   "qt_5.5.1-qwebengine.patch"
               ]
     depend : []